summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /eclass/gnome-games.eclass
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'eclass/gnome-games.eclass')
-rw-r--r--eclass/gnome-games.eclass116
1 files changed, 116 insertions, 0 deletions
diff --git a/eclass/gnome-games.eclass b/eclass/gnome-games.eclass
new file mode 100644
index 000000000000..e7f7ab14c921
--- /dev/null
+++ b/eclass/gnome-games.eclass
@@ -0,0 +1,116 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+# @ECLASS: gnome-games
+# @MAINTAINER:
+# Gnome team <gnome@gentoo.org>
+# @AUTHOR:
+# Author: Pacho Ramos <pacho@gentoo.org>
+# @BLURB: An eclass to build gnome-games.
+# @DESCRIPTION:
+# An eclass to build gnome-games using proper phases from gnome2 and
+# games eclasses.
+
+case "${EAPI:-0}" in
+ 0|1)
+ die "Unsupported EAPI=${EAPI:-0} (too old) for ${ECLASS}"
+ ;;
+ 2|3|4|5)
+ ;;
+ *)
+ die "Unsupported EAPI=${EAPI} (unknown) for ${ECLASS}"
+ ;;
+esac
+
+inherit autotools games gnome2
+
+EXPORT_FUNCTIONS pkg_setup src_prepare src_configure src_compile src_install pkg_preinst pkg_postinst pkg_postrm
+
+if [[ ! ${_GNOME_GAMES} ]]; then
+
+DEPEND=">=dev-util/intltool-0.50.2-r1"
+RDEPEND="!gnome-extra/gnome-games"
+
+# @FUNCTION: gnome-games_pkg_setup
+# @DESCRIPTION:
+# Set proper phase defaults
+gnome-games_pkg_setup() {
+ debug-print-function ${FUNCNAME} "${@}"
+ games_pkg_setup
+}
+
+# @FUNCTION: gnome-games_src_prepare
+# @DESCRIPTION:
+# Set proper phase defaults
+gnome-games_src_prepare() {
+ debug-print-function ${FUNCNAME} "${@}"
+
+ # Fix intltoolize broken file:
+ # https://bugs.launchpad.net/intltool/+bug/398571
+ intltoolize --force --copy --automake || die "intltoolize failed"
+ eautoreconf
+
+ gnome2_src_prepare
+}
+
+# @FUNCTION: gnome-games_src_configure
+# @DESCRIPTION:
+# Set proper phase defaults, relying on gnome2_src_configure
+# and passing extra arguments from egamesconf (games.eclass)
+gnome-games_src_configure() {
+ debug-print-function ${FUNCNAME} "${@}"
+ gnome2_src_configure \
+ --prefix="${GAMES_PREFIX}" \
+ --libdir="$(games_get_libdir)" \
+ --sysconfdir="${GAMES_SYSCONFDIR}" \
+ --localstatedir=/var \
+ --localedir=/usr/share/locale \
+ "$@"
+}
+
+# @FUNCTION: gnome-games_src_compile
+# @DESCRIPTION:
+# Set proper phase defaults
+gnome-games_src_compile() {
+ debug-print-function ${FUNCNAME} "${@}"
+ gnome2_src_compile
+}
+
+# @FUNCTION: gnome-games_src_install
+# @DESCRIPTION:
+# Set proper phase defaults
+gnome-games_src_install() {
+ debug-print-function ${FUNCNAME} "${@}"
+ gnome2_src_install
+ prepgamesdirs
+}
+
+# @FUNCTION: gnome-games_pkg_preinst
+# @DESCRIPTION:
+# Set proper phase defaults
+gnome-games_pkg_preinst() {
+ debug-print-function ${FUNCNAME} "${@}"
+ gnome2_pkg_preinst
+ games_pkg_preinst
+}
+
+# @FUNCTION: gnome-games_pkg_preinst
+# @DESCRIPTION:
+# Set proper phase defaults
+gnome-games_pkg_postinst() {
+ debug-print-function ${FUNCNAME} "${@}"
+ gnome2_pkg_postinst
+ games_pkg_postinst
+}
+
+# @FUNCTION: gnome-games_pkg_postrm
+# @DESCRIPTION:
+# Set proper phase defaults
+gnome-games_pkg_postrm() {
+ debug-print-function ${FUNCNAME} "${@}"
+ gnome2_pkg_postrm
+}
+
+_GNOME_GAMES=1
+fi